---
- name: docker work purpose
  hosts: docker
  become: yes
  become_method: sudo
  tasks:
    - name: install docker eng
      yum:
        name: docker
        state: installed

    - name: start docker service
      service:
        name: docker
        state: started

    - name: to login to AWS ECR
      shell: $(aws ecr get-login --no-include-email)
    
    - name: to pull docker image rom AWS ECR
      shell: docker pull 918845209410.dkr.ecr.ap-south-1.amazonaws.com/app:latest

    - name: to start docker con
      shell: docker run --name con1 -itd -p 8080:8080 918845209410.dkr.ecr.ap-south-1.amazonaws.com/app:latest
